# Gimp.Gradient.segment_range_replicate

    @accepts(Gimp.Gradient, int, int, int)
    @returns(bool)
    def segment_range_replicate(self, start_segment, end_segment, replicate_times):
        # Python wrapper for gimp_gradient_segment_range_replicate()

Replicate the segment range

Replicates a segment range a given number of times. Instead of the original segment range, several smaller scaled copies of it will appear in equal widths. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

replicate_times

  The number of replicas for each segment.

Returns